> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates an address

> Creates an address.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/addresses.yml post /addresses
openapi: 3.1.0
info:
  title: Telnyx Addresses API
  version: 2.0.0
  description: API for Addresses.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /addresses:
    post:
      tags:
        - Addresses
      summary: Creates an address
      description: Creates an address.
      operationId: CreateAddress
      parameters: []
      requestBody:
        description: Parameters that can be defined during address creation
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddressCreate'
      responses:
        '200':
          $ref: '#/components/responses/AddressResponse'
        '422':
          description: Bad request
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const address = await client.addresses.create({
              business_name: "Toy-O'Kon",
              country_code: 'US',
              first_name: 'Alfred',
              last_name: 'Foster',
              locality: 'Austin',
              street_address: '600 Congress Avenue',
            });

            console.log(address.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            address = client.addresses.create(
                business_name="Toy-O'Kon",
                country_code="US",
                first_name="Alfred",
                last_name="Foster",
                locality="Austin",
                street_address="600 Congress Avenue",
            )
            print(address.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taddress, err := client.Addresses.New(context.TODO(), telnyx.AddressNewParams{\n\t\tBusinessName:  \"Toy-O'Kon\",\n\t\tCountryCode:   \"US\",\n\t\tFirstName:     \"Alfred\",\n\t\tLastName:      \"Foster\",\n\t\tLocality:      \"Austin\",\n\t\tStreetAddress: \"600 Congress Avenue\",\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", address.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.addresses.AddressCreateParams;
            import com.telnyx.sdk.models.addresses.AddressCreateResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    AddressCreateParams params = AddressCreateParams.builder()
                        .businessName("Toy-O'Kon")
                        .countryCode("US")
                        .firstName("Alfred")
                        .lastName("Foster")
                        .locality("Austin")
                        .streetAddress("600 Congress Avenue")
                        .build();
                    AddressCreateResponse address = client.addresses().create(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            address = telnyx.addresses.create(
              business_name: "Toy-O'Kon",
              country_code: "US",
              first_name: "Alfred",
              last_name: "Foster",
              locality: "Austin",
              street_address: "600 Congress Avenue"
            )

            puts(address)
        - lang: CLI
          source: |-
            telnyx addresses create \
              --api-key 'My API Key' \
              --business-name "Toy-O'Kon" \
              --country-code US \
              --first-name Alfred \
              --last-name Foster \
              --locality Austin \
              --street-address '600 Congress Avenue'
components:
  schemas:
    AddressCreate:
      type: object
      required:
        - first_name
        - last_name
        - business_name
        - street_address
        - locality
        - country_code
      properties:
        customer_reference:
          $ref: '#/components/schemas/customer_reference'
        first_name:
          $ref: '#/components/schemas/first_name'
        last_name:
          $ref: '#/components/schemas/last_name'
        business_name:
          $ref: '#/components/schemas/business_name'
        phone_number:
          $ref: '#/components/schemas/phone_number'
        street_address:
          $ref: '#/components/schemas/street_address'
        extended_address:
          $ref: '#/components/schemas/extended_address'
        locality:
          $ref: '#/components/schemas/locality'
        administrative_area:
          $ref: '#/components/schemas/administrative_area'
        neighborhood:
          $ref: '#/components/schemas/neighborhood'
        borough:
          $ref: '#/components/schemas/borough'
        postal_code:
          $ref: '#/components/schemas/postal_code'
        country_code:
          $ref: '#/components/schemas/country_code'
        address_book:
          $ref: '#/components/schemas/address_book'
        validate_address:
          $ref: '#/components/schemas/validate_address'
    customer_reference:
      type: string
      description: A customer reference string for customer look ups.
      example: MY REF 001
    first_name:
      type: string
      description: >-
        The first name associated with the address. An address must have either
        a first last name or a business name.
      example: Alfred
    last_name:
      type: string
      description: >-
        The last name associated with the address. An address must have either a
        first last name or a business name.
      example: Foster
    business_name:
      type: string
      description: >-
        The business name associated with the address. An address must have
        either a first last name or a business name.
      example: Toy-O'Kon
    phone_number:
      type: string
      description: The phone number associated with the address.
      example: '+12125559000'
    street_address:
      type: string
      description: The primary street address information about the address.
      example: 600 Congress Avenue
    extended_address:
      type: string
      description: >-
        Additional street address information about the address such as, but not
        limited to, unit number or apartment number.
      example: 14th Floor
    locality:
      type: string
      description: >-
        The locality of the address. For US addresses, this corresponds to the
        city of the address.
      example: Austin
    administrative_area:
      type: string
      description: >-
        The locality of the address. For US addresses, this corresponds to the
        state of the address.
      example: TX
    neighborhood:
      type: string
      description: >-
        The neighborhood of the address. This field is not used for addresses in
        the US but is used for some international addresses.
      example: Ciudad de los deportes
    borough:
      type: string
      description: >-
        The borough of the address. This field is not used for addresses in the
        US but is used for some international addresses.
      example: Guadalajara
    postal_code:
      type: string
      description: The postal code of the address.
      example: '78701'
    country_code:
      type: string
      description: The two-character (ISO 3166-1 alpha-2) country code of the address.
      example: US
    address_book:
      type: boolean
      description: >-
        Indicates whether or not the address should be considered part of your
        list of addresses that appear for regular use.
      example: false
      default: true
    validate_address:
      type: boolean
      description: >-
        Indicates whether or not the address should be validated for emergency
        use upon creation or not. This should be left with the default value of
        `true` unless you have used the `/addresses/actions/validate` endpoint
        to validate the address separately prior to creation. If an address is
        not validated for emergency use upon creation and it is not valid, it
        will not be able to be used for emergency services.
      example: true
      default: true
    Address:
      type: object
      title: Address
      properties:
        id:
          type: string
          description: Uniquely identifies the address.
          example: '1293384261075731499'
          x-format: int64
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: address
        customer_reference:
          $ref: '#/components/schemas/customer_reference'
        first_name:
          $ref: '#/components/schemas/first_name'
        last_name:
          $ref: '#/components/schemas/last_name'
        business_name:
          $ref: '#/components/schemas/business_name'
        phone_number:
          $ref: '#/components/schemas/phone_number'
        street_address:
          $ref: '#/components/schemas/street_address'
        extended_address:
          $ref: '#/components/schemas/extended_address'
        locality:
          $ref: '#/components/schemas/locality'
        administrative_area:
          $ref: '#/components/schemas/administrative_area'
        neighborhood:
          $ref: '#/components/schemas/neighborhood'
        borough:
          $ref: '#/components/schemas/borough'
        postal_code:
          $ref: '#/components/schemas/postal_code'
        country_code:
          $ref: '#/components/schemas/country_code'
        address_book:
          $ref: '#/components/schemas/address_book'
        validate_address:
          $ref: '#/components/schemas/validate_address'
        created_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2018-02-02T22:25:27.521Z'
  responses:
    AddressResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/Address'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````